Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.atna.audit.codes
Class AuditEventTypeCode

    java.lang.Object
      org.eclipse.ohf.ihe.atna.audit.element.CodedValueType
          org.eclipse.ohf.ihe.atna.audit.codes.AuditEventTypeCode

Direct Known Subclasses:
  AuditEventTypeCode.ApplicationStart, AuditEventTypeCode.ApplicationStop, AuditEventTypeCode.Attach, AuditEventTypeCode.AuditRecordingStarted, AuditEventTypeCode.AuditRecordingStopped, AuditEventTypeCode.Detach, AuditEventTypeCode.EmergencyOverride, AuditEventTypeCode.HardwareConfiguration, AuditEventTypeCode.Login, AuditEventTypeCode.Logout, AuditEventTypeCode.NetworkConfiguration, AuditEventTypeCode.NodeAuthentication, AuditEventTypeCode.ObjectSecurityAttributesChanged, AuditEventTypeCode.SecurityConfiguration, AuditEventTypeCode.SecurityRolesChanged, AuditEventTypeCode.SoftwareConfiguration, AuditEventTypeCode.UseOfRestrictedFunction, AuditEventTypeCode.UserSecurityAttributesChanged

    public class AuditEventTypeCode

extends CodedValueType

Since:
  OHF 1.0.0
Author:
  Glenn Deen glenn@almaden.ibm.com

Nested Class Summary
`static class` | `AuditEventTypeCode.ApplicationStart`
`static class` | `AuditEventTypeCode.ApplicationStop`
`static class` | `AuditEventTypeCode.Attach`
`static class` | `AuditEventTypeCode.AuditRecordingStarted`
`static class` | `AuditEventTypeCode.AuditRecordingStopped`
`static class` | `AuditEventTypeCode.Detach`
`static class` | `AuditEventTypeCode.EmergencyOverride`
`static class` | `AuditEventTypeCode.HardwareConfiguration`
`static class` | `AuditEventTypeCode.Login`
`static class` | `AuditEventTypeCode.Logout`
`static class` | `AuditEventTypeCode.NetworkConfiguration`
`static class` | `AuditEventTypeCode.NodeAuthentication`
`static class` | `AuditEventTypeCode.ObjectSecurityAttributesChanged`
`static class` | `AuditEventTypeCode.SecurityConfiguration`
`static class` | `AuditEventTypeCode.SecurityRolesChanged`
`static class` | `AuditEventTypeCode.SoftwareConfiguration`
`static class` | `AuditEventTypeCode.UseOfRestrictedFunction`
`static class` | `AuditEventTypeCode.UserSecurityAttributesChanged`

Field Summary

Fields inherited from class org.eclipse.ohf.ihe.atna.audit.element.CodedValueType
`DB_Coded_Value_Type`

Method Summary

Methods inherited from class org.eclipse.ohf.ihe.atna.audit.element.CodedValueType
`getCode, getCodeSystem, getCodeSystemName, getDisplayName, getOriginalText, isValidElement, parse, setCode, setCodeSystem, setCodeSystemName, setDisplayName, setOriginalText`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD